import { PathArray } from './path';
export declare abstract class SpartanError extends Error {
    constructor(message: string);
}
export declare class RecursionError extends SpartanError {
    readonly label: string;
    constructor(message: string, label: string);
}
export declare class SchemaCompileError extends SpartanError {
    readonly path: PathArray;
    constructor(message: string, path: PathArray);
}
//# sourceMappingURL=errors.d.ts.map