"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pathToString = pathToString;

function pathToString(path) {
  let output = '$';

  for (const element of path) {
    if (typeof element === 'string' && /^[a-z_$][a-z0-9_$]*$/i.test(element)) {
      output = `${output}.${element}`;
    } else {
      output = `${output}[${JSON.stringify(element)}]`;
    }
  }

  return output;
}